%define OPTS ABI_OPT_BIDI_ENABLED=1 ABI_OPT_PSPELL=1 ABI_OPT_PERL=1 ABI_OPT_LIBXML2=1
%define legacylibpng 0
# Add those when they start working: ABI_OPT_PLUGINS=1 ABI_OPT_STL=1
# You can add ABI_OPT_GNOME=1 to get a version linking to virtually
# everything gnome.
# Unknown/Undocumented flags:
# ABI_OPT_WIDGET=1 ABI_OPT_JS=1
Summary: The AbiWord word processor
Name: abiword
Version: 0.99.5
Release: 5.legacy
Epoch: 1
Group: Applications/Editors
License: GPL
Source: http://prdownloads.sourceforge.net/abiword/abiword-%{version}.tar.bz2
Source1: abiword-fonts.dir-ja
Source2: abiword-fonts.dir-ko
Source3: abiword-fonts.dir-zh-CN
Source4: abiword-fonts.dir-zh-TW
Source10: abiword.keys
Source11: abiword.mime
Patch: abiword-0.9.5-gcc31.patch
Patch1: abiword-0.99.4-fontpath.patch
Patch2: abiword-0.99.1-libpng.patch
Patch3: abiword-0.9.5-perl.patch
Patch10: abiword-fonts.diff
Patch11: abiword-field.c.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libpng >= 1.0.5
Prefix: /usr
Prereq: chkfontpath
BuildPrereq: libstdc++, /usr/bin/g++
BuildPrereq: gtk+-devel pspell-devel libpng-devel gnome-libs-devel ImageMagick
BuildPrereq: libxml2-devel
BuildPrereq: libtool
# gnome libs
BuildPrereq: gnome-libs-devel gnome-vfs-devel gnome-print-devel 
BuildPrereq: gal-devel GConf-devel
URL: http://www.abisource.com/
%define Abi_prefix %{_datadir}

%description
AbiWord is a cross-platform Open Source word processor. The goal is to make
AbiWord full-featured, and remain lean.

%prep
%setup -q
%patch -p1 -b .gcc31
%patch1 -p1 -b .fontpath
%if %legacylibpng
%patch2 -p1 -b .libpng
%endif
%patch3 -p1 -b .perl
%patch10 -p1 -b .fonts
%patch11 -p1 

cd abi
cd ../psiconv
libtoolize --copy --force

%build
find . -type d -name CVS |xargs rm -rf
cd abi
make prefix=%{_prefix} OPTIMIZER="$RPM_OPT_FLAGS -fPIC" ABI_BUILD_VERSION=%{version} %{OPTS}

%install
rm -rf $RPM_BUILD_ROOT
rm -f file.list.%{name}
cd abi
make install prefix=$RPM_BUILD_ROOT%{Abi_prefix} %{OPTS}
cp $RPM_BUILD_ROOT/%{Abi_prefix}/AbiSuite/fonts/fonts.dir $RPM_BUILD_ROOT/%{Abi_prefix}/AbiSuite/fonts/fonts.scale
mkdir -p $RPM_BUILD_ROOT%{_bindir}

mv $RPM_BUILD_ROOT%{Abi_prefix}/bin/AbiWord $RPM_BUILD_ROOT%{_bindir}

perl -p -i -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{prefix}/bin/AbiWord $RPM_BUILD_ROOT%{Abi_prefix}/AbiSuite/bin/AbiWord

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT%{Abi_prefix}/AbiSuite/icons/* $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/AbiSuite
mv $RPM_BUILD_ROOT%{Abi_prefix}/AbiSuite/bin $RPM_BUILD_ROOT%{_libdir}/AbiSuite
perl -pi -e "s,%{Abi_prefix}/AbiSuite/bin,%{_libdir}/AbiSuite/bin,g" $RPM_BUILD_ROOT%{_bindir}/AbiWord $RPM_BUILD_ROOT%{_libdir}/AbiSuite/bin/AbiWord
[ ! -x $RPM_BUILD_ROOT%{_libdir}/AbiSuite/bin/AbiWord_d ] || rm -f $RPM_BUILD_ROOT%{_libdir}/AbiSuite/bin/AbiWord_s || :

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
cat >$RPM_BUILD_ROOT/etc/X11/applnk/Applications/abiword.desktop <<EOF
[Desktop Entry]
Name=AbiWord
Comment=%{summary}
Exec=%{_bindir}/AbiWord
Icon=abiword_48.png
Terminal=0
Type=Application
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info $RPM_BUILD_ROOT%{_datadir}/mc/templates
cp %{SOURCE10} %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT/etc/X11/applnk/Applications/abiword.desktop $RPM_BUILD_ROOT%{_datadir}/mc/templates

for i in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4}; do
	mkdir -p $RPM_BUILD_ROOT%{Abi_prefix}/AbiSuite/fonts/`echo $i |sed -e 's/.*fonts.dir-//'`
	cp -f $i $RPM_BUILD_ROOT%{Abi_prefix}/AbiSuite/fonts/`echo $i |sed -e 's/.*fonts.dir-//'`/fonts.dir
done

%post
/usr/X11R6/bin/mkfontdir  %{Abi_prefix}/AbiSuite
/usr/sbin/chkfontpath -q -a %{Abi_prefix}/AbiSuite/fonts

%preun
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{Abi_prefix}/AbiSuite/fonts
	rm -f %{Abi_prefix}/AbiSuite/fonts/*.dir %{Abi_prefix}/AbiSuite/fonts/*.scale &>/dev/null
fi

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT.TXT CREDITS.TXT README.TXT TRADEMARK.TXT VERSION.TXT
%doc docs 
%{prefix}/bin/AbiWord
%{Abi_prefix}/AbiSuite
%{prefix}/lib/AbiSuite
/usr/share/pixmaps/*
/etc/X11/applnk/Applications/abiword.desktop
%config(noreplace) /usr/share/mc/templates/abiword.desktop
%config(noreplace) /usr/share/mime-info/*
%lang(ja) %{Abi_prefix}/AbiSuite/fonts/ja/*
%lang(ko) %{Abi_prefix}/AbiSuite/fonts/ko/*
%lang(zh_CN) %{Abi_prefix}/AbiSuite/fonts/zh-CN/*
%lang(zh_TW) %{Abi_prefix}/AbiSuite/fonts/zh-TW/*

%changelog
* Tue Nov 16 2004 Dominic Hargreaves <dom@earth.li>
- Really add gnome build-deps

* Fri Nov 05 2004 Craig Kelley <ckelley@ibnads.com>
- Added gnome-libs-devel ImageMagick BuildPrereq

* Thu Oct 19 2004 Dominic Hargreaves <dom@earth.li>
- Added libtool BuildPrereq.

* Tue Aug 31 2004 Dave Botsch <dwb7@ccmr.cornell.edu>
- Added field.c.patch
- added legacy to release

* Sun Apr 14 2002 Jeremy Katz <katzj@redhat.com> 0.99.5-1
- zh_CN and zh_TW fonts.dir were flipped
- update to 0.99.5 as it fixes some major bugs
- define ABI_BUILD_VERSION so the about screen gives us a version

* Mon Apr  8 2002 Bennhard Rosenkraenzer <bero@redhat.com> 0.99.4-2
- 1st try at fixing up CJK (#61590)
- #if 0'ify font warning dialog (#62909, #64556)

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.4-1
- Update to 0.99.4, fixes #61153
- Fix #61344
- Nuke the warning about being unable to add anything to font path,
  that's not how xfs works.

* Thu Feb 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.2-1
- 0.99.2
- remove blank lines in fonts.dir

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.1-1
- 0.99.1

* Wed Jan 30 2002 Alex Larsson <alexl@redhat.com> 0.9.5-3
- Added patch to use libpng10
- Added patch to fix perl build problems.

* Fri Nov 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-1
- 0.9.5

* Tue Oct 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.4.1-1
- Update to 0.9.4.1 (RFE #54806)
- Add URL (RFE #54590)

* Thu Jul 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-7
- Fix uninstall (#49350)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- rebuilt so that dirs aren't sgid root

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-5
- Add build requirements (#45157)

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-4
- Remove CVS admin files from documentation (#44916)

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390x patch from <oliver.paukstadt@millenux.com>

* Sat Jun 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390 patch from Helge Deller

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-1
- Update to 0.7.14

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle MIME type stuff (Bug #27530)
- Add BuildPrereqs for some of the less common stuff AbiWord uses
  (gal-devel, gnome-print-devel, libunicode-devel)

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.13

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- fixed broken code for building

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.7.12
- copy fonts.dir to fonts.scale so mkfontdir doesn't blow it away

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of 0777 dirs

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.11

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- fix path to chkfontpath, it was wrong.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Mon Aug  7 2000 Jakub Jelinek <jakub@redhat.com>
- Don't ship AbiWord_s if we have AbiWord_d
- Register AbiWord's fontpath with xfs

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new libpng. This fixes Bug #13707 - gotta love it when they
  change the ABI without increasing the soname!
- fix tooltip (Bug #14711)
- move binaries from /usr/share to /usr/lib

* Wed Jul 12 2000 Jakub Jelinek <jakub@redhat.com>
- Fix build on ia64.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new gcc.

* Sat Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on ia64

* Fri Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.10
- update download location

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for main CD
- clean up specfile
- fix build with gcc 2.96 and glibc 2.2
- exclude ia64 for now

* Wed May  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.9

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.8
- move the desktop file to /etc/X11/applnk so it can be used in both
  GNOME and KDE
- fix up handling of RPM_OPT_FLAGS

* Thu Jan 20 2000 Tim Powers <timp@redhat.com>
- bzipped source to conserve space.

* Sun Jan  9 2000 Matt Wilson <msw@redhat.com>
- enable GNOME, remove perl hack to do RPM_OPT_FLAGS
- added libpng requirement.  0.7.7 requires 1.0.5 libpng ABI

* Tue Jan  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.7
- handle RPM_OPT_FLAGS

* Mon Nov 15 1999 Tim Powers <timp@redhat.com>
- first build for inclusion into Powertools.
- some things in this spec file are from the abisuite-0.7.5-1mdk package
